MyGUI::Version Class Reference

`#include <MyGUI_Version.h>`

## Public Member Functions

| Version (uint8_t _major=0, uint8_t _minor=0, uint16_t _patch=0)
uint8_t | getMajor () const
uint8_t | getMinor () const
uint16_t | getPatch () const
std::string | print () const

## Static Public Member Functions

static Version | parse (std::string_view _value)

## Friends

bool | operator< (Version const &a, Version const &b)
bool | operator>= (Version const &a, Version const &b)
bool | operator> (Version const &a, Version const &b)
bool | operator<= (Version const &a, Version const &b)
bool | operator== (Version const &a, Version const &b)
bool | operator!= (Version const &a, Version const &b)
std::ostream & | operator<< (std::ostream &_stream, const Version &_value)
std::istream & | operator>> (std::istream &_stream, Version &_value)

## Detailed Description

Definition at line 17 of file MyGUI_Version.h.

## Constructor & Destructor Documentation

## Version()

MyGUI::Version::Version | ( | uint8_t | _major = 0,
|  | uint8_t | _minor = 0,
|  | uint16_t | _patch = 0 )

inline

Definition at line 20 of file MyGUI_Version.h.

## Member Function Documentation

## getMajor()

uint8_t MyGUI::Version::getMajor | ( |  | ) | const

inline

Definition at line 71 of file MyGUI_Version.h.

## getMinor()

uint8_t MyGUI::Version::getMinor | ( |  | ) | const

inline

Definition at line 76 of file MyGUI_Version.h.

## getPatch()

uint16_t MyGUI::Version::getPatch | ( |  | ) | const

inline

Definition at line 81 of file MyGUI_Version.h.

## parse()

Version MyGUI::Version::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 93 of file MyGUI_Version.h.

## print()

std::string MyGUI::Version::print | ( |  | ) | const

inline

Definition at line 86 of file MyGUI_Version.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 52 of file MyGUI_Version.h.

## operator<

bool operator< | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 27 of file MyGUI_Version.h.

## operator<<

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const Version & | _value )

friend

Definition at line 57 of file MyGUI_Version.h.

## operator<=

bool operator<= | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 42 of file MyGUI_Version.h.

## operator==

bool operator== | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 47 of file MyGUI_Version.h.

## operator>

bool operator> | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 37 of file MyGUI_Version.h.

## operator>=

bool operator>= | ( | Version const & | a,
|  | Version const & | b )

friend

Definition at line 32 of file MyGUI_Version.h.

## operator>>

std::istream & operator>> | ( | std::istream & | _stream,
|  | Version & | _value )

friend

Definition at line 63 of file MyGUI_Version.h.

The documentation for this class was generated from the following file:

- MyGUI_Version.h